# Group Struct Reference

Inheritance diagram for Group:

## Public Member Functions
| Group (CompanyID owner=INVALID_COMPANY)
## Data Fields
char * | name
| Group Name.
uint16 | num_vehicle
| Number of vehicles wich belong to the group.
OwnerByte | owner
| Group Owner.
VehicleTypeByte | vehicle_type
| Vehicle type of the group.
bool | replace_protection
| If set to true, the global autoreplace have no effect on the group.
uint16 * | num_engines
| Caches the number of engines of each type the company owns (no need to save this).

## Detailed Description

Definition at line 24 of file group.h.

The documentation for this struct was generated from the following files:

- src/group.h
- src/group_cmd.cpp